Support


Reminder: Please ensure that your unit is running the latest software.

Search Support Center:
 Do I need to update my Magellan software to make CoPilot Truck work?
Article No. A software update is not required for compatible models. The currently compatible models in the RoadMate 1470 and 1700

Article Details
Total Views:1402
Created On: 25 Nov 2009 11:57 PM

 This article was helpful  This article was not helpful

 Back
Kayako Skin by SupportSkins.com